Rumble Inc.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/rumble-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/rumble-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1741737600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.globenewswire.com/news-release/2025/03/12/3041366/0/en/Rumble-Announces-Purchases-of-17-1-Million-in-Bitcoin-in-Accordance-with-Previously-Announced-Bitcoin-Treasury-Strategy.html",
    "holding_balance": 188.0,
    "holding_net_change": 188.0,
    "transaction_value_usd": 17100000.0,
    "average_entry_value_usd": 90957.45,
    "transaction_value_calculated": false
  },
  {
    "date": 1746662400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://x.com/chrispavlovski/status/1920573753332826279",
    "holding_balance": 210.8,
    "holding_net_change": 22.82,
    "transaction_value_usd": 2355713.164,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/rumble-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790812800000,
    210.8
  ],
  [
    1790899200000,
    210.8
  ],
  [
    1790985600000,
    210.8
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/rumble-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790812800000,
    17611741.328
  ],
  [
    1790899200000,
    17872220.564
  ],
  [
    1790985600000,
    17811883.28
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/rumble-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 7.55,
    "date": "2026-09-30",
    "high": 8.32,
    "open": 7.98,
    "close": 7.56,
    "volume": 5019202
  },
  {
    "low": 7.39,
    "date": "2026-10-01",
    "high": 7.96,
    "open": 7.57,
    "close": 7.64,
    "volume": 4579647
  },
  {
    "low": 7.48,
    "date": "2026-10-02",
    "high": 8.055,
    "open": 7.87,
    "close": 7.575,
    "volume": 4576583
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/rumble-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.02,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": -0.1
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/rumble-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -13.92,
  "six_month_return": 52.11,
  "three_month_return": 16.36
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/rumble-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.5,
  "total_btc_percentage": 0.001,
  "share_price_change_state": "down"
}